Get article translations

GET
/v1/knowledge/articles/{articleId}/translations

Get a knowledge article translations

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

articleId*string
Formatuuid

Response Body

The article translations

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/knowledge/articles/{articleId}/translations' \  -H 'Authorization: <API token>'
{
"data": {
"translations": {
"draft": [
{
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
],
"published": [
{
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
]
}
}
}